Tracking bug for SRU update of KDE to 4.5.5 in Maverick

Bug #757065 reported by Scott Kitterman on 2011-04-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kde4libs (Ubuntu)
Undecided
Unassigned
kdeaccessibility (Ubuntu)
Undecided
Unassigned
kdeadmin (Ubuntu)
Undecided
Unassigned
kdeartwork (Ubuntu)
Undecided
Unassigned
kdebase (Ubuntu)
Undecided
Unassigned
kdebase-runtime (Ubuntu)
Undecided
Unassigned
kdebase-workspace (Ubuntu)
Undecided
Unassigned
kdebindings (Ubuntu)
Undecided
Unassigned
kdeedu (Ubuntu)
Undecided
Unassigned
kdegames (Ubuntu)
Undecided
Unassigned
kdegraphics (Ubuntu)
Undecided
Unassigned
kdemultimedia (Ubuntu)
Undecided
Unassigned
kdenetwork (Ubuntu)
Undecided
Unassigned
kdepimlibs (Ubuntu)
Undecided
Unassigned
kdeplasma-addons (Ubuntu)
Undecided
Unassigned
kdesdk (Ubuntu)
Undecided
Unassigned
kdetoys (Ubuntu)
Undecided
Unassigned
kdeutils (Ubuntu)
Undecided
Unassigned
kdewebdev (Ubuntu)
Undecided
Unassigned
meta-kde (Ubuntu)
Undecided
Unassigned
oxygen-icons (Ubuntu)
Undecided
Unassigned
plasma-widget-yawp (Ubuntu)
Undecided
Unassigned

Bug Description

Update per the micro-release exception. Please install, test, and report any regressions.

All core packages uploaded, waiting for acceptance.

Took the latest package from the ~kubuntu-ppa/updates where they have been tested for 3 months. Reviewed bugs filed against /kubuntu-ppa. Reviewed upstream svn/git commits for post-4.5.5 changes that were worth cherrypicking. Found a few. Double checked that all existing uploads to proposed/updates were incorporated in this update.

TEST CASE: Install the updated packages and look for regressions. Report both successful tests and regressions here.

description: updated
description: updated
Martin Pitt (pitti) wrote :

I'm accepting the packages into maverick-proposed in some batches. Please test and give feedback here!

Unfortunately LP times out when I try to nominate for Maverick, so we need to keep track of the bug states manually.

Changed in kdebase-workspace (Ubuntu):
status: New → Fix Committed
Changed in kde4libs (Ubuntu):
status: New → Fix Committed
Changed in oxygen-icons (Ubuntu):
status: New → Fix Committed
Changed in kdewebdev (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) on 2011-04-13
Changed in kdeutils (Ubuntu):
status: New → Fix Committed
Changed in kdetoys (Ubuntu):
status: New → Fix Committed
Changed in kdegraphics (Ubuntu):
status: New → Fix Committed
tags: added: verification-needed
Changed in kdesdk (Ubuntu):
status: New → Fix Committed
Changed in kdeplasma-addons (Ubuntu):
status: New → Fix Committed
Changed in kdebase (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) on 2011-04-13
Changed in kdenetwork (Ubuntu):
status: New → Fix Committed
Changed in kdegames (Ubuntu):
status: New → Fix Committed
Changed in kdemultimedia (Ubuntu):
status: New → Fix Committed
Changed in kdebase-runtime (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) on 2011-04-13
Changed in kdepimlibs (Ubuntu):
status: New → Fix Committed
Changed in kdebindings (Ubuntu):
status: New → Fix Committed
Changed in kdeedu (Ubuntu):
status: New → Fix Committed
Changed in kdeadmin (Ubuntu):
status: New → Fix Committed
Changed in kdeartwork (Ubuntu):
status: New → Fix Committed
Changed in kdeaccessibility (Ubuntu):
status: New → Fix Committed
Changed in meta-kde (Ubuntu):
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

Updated all of the installed package on one system without issue and the initial test results are good. No regressions noted.

There was, unfortunately, a soname bump required for libweather-ion4a -> 5. The only thing this affects is plasma-widget-yawp. There's a rebuild for that queued for after kdebase-workspace is built on all architectures.

Martin Pitt (pitti) wrote :

plasma-widget-yawp 0.3.5-0ubuntu1~maverick2 accepted

Scott Kitterman (kitterman) wrote :

All packages are build on all architectures now (including p-w-yawp).

Scott Kitterman (kitterman) wrote :

Everything seems good on the maverick box we have here. One item of note, at least with the i945 graphics on the box in question, it seems that kdm gained the ability to correctly understand what DPI the display provides, so everything in the screen looks smaller until you adjust the font size. I thought this was problem at first, but I actually think it's a bugfix.

Jonathan Riddell (jr) wrote :

I enabled -proposed on a maverick virtual machine and did a dist-upgrade. All the packages installed fine. I could log in and run programmes without any problems.

tags: added: verification-done
removed: verification-needed
Michał Zając (quintasan) wrote :

Upgrading - no problems both on a virtual machine and on my brother's computer.
Everything works as expected, my tests reported no problems and my brother didn't find anything not working.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.5.5-0ubuntu2

---------------
kde4libs (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5.x version per micro-release update exception
    (LP: #757065)
  * Additional post 4.5.5 fixes from kde git:
    - debian/patches/kubuntu_79_html_escaping.diff
    - debian/patches/security_03_CVE-2011-1094.diff
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 00:16:10 -0400

Changed in kde4libs (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeaccessibility - 4:4.5.5-0ubuntu2

---------------
kdeaccessibility (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 01:45:43 -0400

Changed in kdeaccessibility (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeadmin - 4:4.5.5-0ubuntu2

---------------
kdeadmin (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
  * Add debian/patches/kubuntu_01_no_changes_on_load.diff from existing
    kdeadmin pending SRU (LP: #403169)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 01:59:35 -0400

Changed in kdeadmin (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeartwork - 4:4.5.5-0ubuntu2

---------------
kdeartwork (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to fina 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 01:52:25 -0400

Changed in kdeartwork (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase - 4:4.5.5-0ubuntu2

---------------
kdebase (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 01:32:00 -0400

Changed in kdebase (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase-runtime - 4:4.5.5-0ubuntu2

---------------
kdebase-runtime (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 02:16:40 -0400

Changed in kdebase-runtime (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebindings - 4:4.5.5-0ubuntu2

---------------
kdebindings (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5.x per microversion release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 00:45:47 -0400

Changed in kdebindings (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeedu - 4:4.5.5-0ubuntu2

---------------
kdeedu (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 01:38:51 -0400

Changed in kdeedu (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdegames - 4:4.5.5-0ubuntu2

---------------
kdegames (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 02:19:41 -0400

Changed in kdegames (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdegraphics - 4:4.5.5-0ubuntu2

---------------
kdegraphics (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 update per micro-version release exception
    (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 01:23:27 -0400

Changed in kdegraphics (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdemultimedia - 4:4.5.5-0ubuntu2

---------------
kdemultimedia (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 02:22:30 -0400

Changed in kdemultimedia (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdenetwork - 4:4.5.5-0ubuntu2

---------------
kdenetwork (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
  * Cherrypick debian/patches/kubuntu_05_kget_metalinker.diff from KDE svn
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 02:25:25 -0400

Changed in kdenetwork (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdepimlibs - 4:4.5.5-0ubuntu2

---------------
kdepimlibs (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final KDE 4.5 per microversion release exception (LP: #757065)
  * Post 4.5.5 updates from kde git:
    - debian/patches/kubuntu_01_imap_timeout.diff
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 00:34:25 -0400

Changed in kdepimlibs (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeplasma-addons - 4:4.5.5-0ubuntu2

---------------
kdeplasma-addons (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
  * Cherrypick debian/patches/kubuntu_05_comics_memleak.diff from kde git
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 02:47:44 -0400

Changed in kdeplasma-addons (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdesdk - 4:4.5.5-0ubuntu2

---------------
kdesdk (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 02:50:44 -0400

Changed in kdesdk (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdetoys - 4:4.5.5-0ubuntu2

---------------
kdetoys (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 02:54:59 -0400

Changed in kdetoys (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeutils - 4:4.5.5-0ubuntu2

---------------
kdeutils (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 03:03:23 -0400

Changed in kdeutils (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdewebdev - 4:4.5.5-0ubuntu2

---------------
kdewebdev (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 03:01:41 -0400

Changed in kdewebdev (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package meta-kde - 5:63ubuntu7.1

---------------
meta-kde (5:63ubuntu7.1) maverick-proposed; urgency=low

  * Update to support KDE 4.5.5 per microversion release exception
    (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 00:56:15 -0400

Changed in meta-kde (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxygen-icons - 4:4.5.5-0ubuntu2

---------------
oxygen-icons (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
 -- Scott Kitterman <email address hidden> Mon, 11 Apr 2011 03:05:49 -0400

Changed in oxygen-icons (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-widget-yawp - 0.3.5-0ubuntu1~maverick2

---------------
plasma-widget-yawp (0.3.5-0ubuntu1~maverick2) maverick-proposed; urgency=low

  * Rebuild for KDE SC 4.5.5 update (LP: #757065)
    - Version kdebase-workspace-dev build-dep to ensure correct build
 -- Scott Kitterman <email address hidden> Thu, 14 Apr 2011 11:06:56 -0400

Changed in plasma-widget-yawp (Ubuntu):
status: New → Fix Released
Changed in kdebase-workspace (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers